
#ifndef CLASS009_HPP
#define CLASS009_HPP
class Ag_identifier
	{
	/*design in subject "Attribute_groups" */

	/*design comment 
:/%Description%/An attribute group for assigned identifiers.  The contents of this attribute group is strongly influenced by the specification of the EI, CX, DLN datatype in the HL7 2.3 standard.
*/
public:
private:
	/*design comment effective_date 
:/%Description%/The effective date of the identifier.
*/
	int effective_date;
	/*design comment identification_text 
:/%Description%/The value assigned as an identifier, often a numeric.
*/
	int identification_text;
	/*design comment identifier_check_digit_text 
:/%Description%/A check digit assigned to the identifier base upon the identification text and the check digit scheme.
*/
	int identifier_check_digit_text;
	/*design comment identifier_check_digit_type_code 
:/%Description%/A code identifying the check digit scheme used for the identifier check digit.
*/
	int identifier_check_digit_type_code;
	/*design comment identifier_issue_date 
:/%Description%/Date the identifier was issued.
*/
	int identifier_issue_date;
	/*design comment issuing_authority_name 
:/%Description%/The name of the issuing authority for the identifier.
*/
	int issuing_authority_name;
	/*design comment termination_date 
:/%Description%/The termination date of the identifier.
*/
	int termination_date;
	/*design comment type_code 
:/%Description%/A code indicating the type of identifier.
*/
	int type_code;
	};

#endif
