
#ifndef CLASS013_HPP
#define CLASS013_HPP
class Appointment
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */

	/*design comment 
:/%Description%/A planned patient encounter set for a specific time and place.
*/
public:
private:
	/*design comment appointment_disposition_code 
:/%Description%/A code depicting the disposition of the appointment {pending, cancelled, rescheduled, ...}
*/
	int appointment_disposition_code;
	/*design comment appointment_request_reason_code 
:/%Description%/A code depicting the reason the appointment is being requested.
*/
	int appointment_request_reason_code;
	/*design comment cancellation_datetime 
:/%Description%/The date and time the appointment was cancelled.
*/
	int cancellation_datetime;
	/*design comment cancellation_reason_code 
:/%Description%/A code depicting why the appointment was cancelled.
*/
	int cancellation_reason_code;
	/*design comment estimated_duration_amount 
:/%Description%/The amount of time the scheduled encounter is expected to last.
*/
	int estimated_duration_amount;
	/*design comment expected_end_datetime 
:/%Description%/The expected end date and time of the patient ecounter
*/
	int expected_end_datetime;
	/*design comment expected_service_description 
:/%Description%/Text providing the service(s) expected to be provided in the sheduled encounter.
*/
	int expected_service_description;
	/*design comment expected_start_datetime 
:/%Description%/The expected date and time for the start of a patient encounter.
*/
	int expected_start_datetime;
	/*design comment identifier 
:/%Description%/A uniques identifier assigned to an appointment.
*/
	int identifier;
	/*design comment overbook_indicator 
:/%Description%/An indication as to whether the appointment is an overbook.
*/
	int overbook_indicator;
	/*design comment scheduling_begin_datetime 
:/%Description%/The data and time the scheduling of the appointment began.
*/
	int scheduling_begin_datetime;
	/*design comment scheduling_completed_datetime 
:/%Description%/The date and time the scheduling of the appointment was completed.
*/
	int scheduling_completed_datetime;
	/*design comment scheduling_status_code 
:/%Description%/A code depicting the status of scheduling the appointment. 
*/
	int scheduling_status_code;
	/*design comment urgency_code 
:/%Description%/A code depicting the urgency to be seen by a healthcare provider.
*/
	int urgency_code;
	/*design comment visit_type_code 
:/%Description%/A code used to classify a visit.
*/
	int visit_type_code;
	/*design comment wait_list_priority_number 
:/%Description%/The priority assigned to an appointment request placed on a wait list.
*/
	int wait_list_priority_number;
	};

#endif
