
#ifndef CLASS016_HPP
#define CLASS016_HPP
class Billing_information_item
	{
	/*design in subject "Healthcare_finances" */
	/*design in subject "Patient_billing_account" */
	/*design assoc Patient_billing_account with Patient_billing_account <"pertains_to (1,1)", "has (0,M)">
*/

	/*design comment 
:/%Description%/Billing account information particular to the national uniform billing form.
*/
public:
private:
	/*design comment condition_code 
:/%Description%/A code depicting a condition.
*/
	int condition_code;
	/*design comment occurrence_code 
:/%Description%/A code depicting a event.
*/
	int occurrence_code;
	/*design comment occurrence_date 
:/%Description%/The date of the event depicted in occurrence code.
*/
	int occurrence_date;
	/*design comment occurrence_span_code 
:/%Description%/A code depicting an event which occurs over a span of time.
*/
	int occurrence_span_code;
	/*design comment occurrence_span_from_date 
:/%Description%/The from date of the event depicted in occurrence span code.
*/
	int occurrence_span_from_date;
	/*design comment occurrence_span_thru_date 
:/%Description%/The end date of the event depicted in occurrence span code.
*/
	int occurrence_span_thru_date;
	/*design comment quantity_amount 
:/%Description%/A quantitative value on a bill.  The value is qualified by quantity type code.
*/
	int quantity_amount;
	/*design comment quantity_type_code 
:/%Description%/A code qualifying the quantity amount information on a bill.

{Blood furnished, blood not replaced, blood replaced, coinsurance day, covered day, non-covered day, grace day, special visit}
*/
	int quantity_type_code;
	/*design comment value_amount 
:/%Description%/A value amount qualified by value code.
*/
	int value_amount;
	/*design comment value_code 
:/%Description%/A code qualifiying the billing information value amount.
*/
	int value_code;
	};

#endif
