
#ifndef CLASS019_HPP
#define CLASS019_HPP
#include "Class059.hpp"
class Categorical_value_observation: public Observation_service_catalog_item
	{
	/*design in subject "Master_tables" */
	/*design in subject "Observation_service_catalog_item" */

	/*design comment 
:/%Description%/A test/observation service for which categorical values results are generated.
*/
public:
private:
	/*design comment abnormal_text_codes 
:/%Description%/A list of the text answers that are abnormal for the test.
*/
	int abnormal_text_codes;
	/*design comment allowed_data_type_code 
:/%Description%/The allowed data type for a single categorical observation.
*/
	int allowed_data_type_code;
	/*design comment critical_text_codes 
:/%Description%/A list of coded results that are critically abnormal for this observation.
*/
	int critical_text_codes;
	/*design comment normal_text_codes 
:/%Description%/Normal text/codes for categorical observation.
*/
	int normal_text_codes;
	/*design comment preferred_coding_system_name 
:/%Description%/Preferred coding system for observations whose categorical responses are taken from a specified table of codes.
*/
	int preferred_coding_system_name;
	};

#endif
