
#ifndef CLASS025_HPP
#define CLASS025_HPP
class Collected_specimen_sample
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_event" */
	/*design assoc Patient with Patient <"is_sourced_from (0,1)", "is_source_for (0,M)">
*/
	/*design assoc Service_event_specimen with Service_event_specimen <"is_source_for (0,M)", "is_sourced_from (1,1)">
*/
	/*design assoc Stakeholder with Stakeholder <"is_collected_by (1,1)", "collects (0,M)">
*/

	/*design comment 
:/%Description%/A sample of a substance or material for examination or study (a urine specimen; a tissue specimen).
*/
public:
private:
	/*design comment anatomical_source_code 
:/%Description%/The anatomical source for the collected item.
*/
	int anatomical_source_code;
	/*design comment collection_end_datetime 
:/%Description%/The date and time the anaylzed object collection ended.
*/
	int collection_end_datetime;
	/*design comment collection_scheduled_datetime 
:/%Description%/The date and time the anaylzed object is scheduled to be collected.
*/
	int collection_scheduled_datetime;
	/*design comment collection_start_datetime 
:/%Description%/The date and time the analyzed object collection started.
*/
	int collection_start_datetime;
	/*design comment collection_volume_amount 
:/%Description%/The amount of specimen collected.
*/
	int collection_volume_amount;
	/*design comment condition_description 
:/%Description%/A description of the condition of the collected specimen.
*/
	int condition_description;
	/*design comment handling_code 
:/%Description%/A code indicating the action taken after collection of the sample. {air-dried, refrigerated overnight, maintained at body heat, centrifuged immediately, maintained on ice, ...}
*/
	int handling_code;
	/*design comment identifier 
:/%Description%/Unique identifier of the analyzed object.
*/
	int identifier;
	/*design comment method_of_collection_description 
:/%Description%/A description of the method used to collect the anaylzed object.
*/
	int method_of_collection_description;
	/*design comment specimen_additive_code 
:/%Description%/A code depicting an additive used with the anaylzed object to aid in the analysis.
*/
	int specimen_additive_code;
	/*design comment specimen_danger_code 
:/%Description%/A code depicting dangers associated with the anaylzed object.
*/
	int specimen_danger_code;
	/*design comment specimen_source_code 
:/%Description%/A code indicating the source of the anaylzed object.
*/
	int specimen_source_code;
	/*design comment type_code 
:/%Description%/A code identifying the type of sample collected. {urine, blood, sputum, swab, synovial fluid, ...}
*/
	int type_code;
	};

#endif
