
#ifndef CLASS035_HPP
#define CLASS035_HPP
class Episode
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */
	/*design part Patient_encounter class Patient_encounter <"has_parts (1,M)", "is_part_of (1,1)">
*/
	/*design assoc Patient_diagnosis with Patient_diagnosis <"is_defined_by (0,1)", "defines (0,1)">
*/

	/*design comment 
:/%Description%/A collection of a series of Healthcare encounters for a patient.
*/
public:
private:
	/*design comment description 
:/%Description%/Episode of care descriptive text.
*/
	int description;
	/*design comment episode_type_code 
:/%Description%/A code indicating the type of episode.  The type code is dependent upon the reason for collection of patient encounters.
*/
	int episode_type_code;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the episode of care.
*/
	int identifier;
	/*design comment list_closed_indicator 
:/%Description%/An indication that the list of encounters associated with the episode is a closed list.
*/
	int list_closed_indicator;
	/*design comment outcome_text 
:/%Description%/Text describing the outcome of the episode of care.
*/
	int outcome_text;
	/*design comment recurring_service_indicator 
:/%Description%/An indication that the episode represents a recurring patient service.
*/
	int recurring_service_indicator;
	};

#endif
