
#ifndef CLASS043_HPP
#define CLASS043_HPP
class Healthcare_benefit_plan
	{
	/*design in subject "Healthcare_benefit_plan" */
	/*design in subject "Healthcare_finances" */
	/*design part Healthcare_coverage_benefit class Healthcare_coverage_benefit <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design assoc Primary_care_provider_assignment with Primary_care_provider_assignment <"governs (0,M)", "is_governed_by (0,1)">
*/

	/*design comment 
:/%Description%/A collection of health benefits.
*/
public:
private:
	/*design comment agreement_type_code 
:/%Description%/A code serving as an additional refinement of an insurance plan.  {standard, unified, maternity}
*/
	int agreement_type_code;
	/*design comment assignment_of_benefits_indicator 
:/%Description%/An indication as to whether the insured agreed to assign th insurance benefits to the healtcare provider.
*/
	int assignment_of_benefits_indicator;
	/*design comment baby_coverage_indicator 
:/%Description%/An indication of the existance of baby coverage under the insurance plan.
*/
	int baby_coverage_indicator;
	/*design comment benefit_description 
:/%Description%/A description of the healthcare benefit.
*/
	int benefit_description;
	/*design comment benefit_plan_name 
:/%Description%/The name of the benefit plan.
*/
	int benefit_plan_name;
	/*design comment benefit_plan_type_code 
:/%Description%/A code classifying the benefit plan type. {commercial, Medicare, Medicaid, ...}
*/
	int benefit_plan_type_code;
	/*design comment benfit_plan_identifier 
:/%Description%/An identifier for the healthcare coverage benefit plan.
*/
	int benfit_plan_identifier;
	/*design comment blood_deductible_amount 
:/%Description%/The deductible amount for blood.
*/
	int blood_deductible_amount;
	/*design comment cob_priority 
:/%Description%/The priority sequence for an insurance plan that works in conjunction with other insurance.
*/
	int cob_priority;
	/*design comment combine_baby_bill_indicator 
:/%Description%/An indication as to whether charges for a baby should be combined with charges for the mother.
*/
	int combine_baby_bill_indicator;
	/*design comment coordination_of_benefits_ind 
:/%Description%/An indication as to whether this insurance works in conjunction with other insurance plans, or if it provides independent coverage and payment of benefits regardless of other insurance that might be available to the patient.
*/
	int coordination_of_benefits_ind;
	/*design comment copay_limit_indicator 
:/%Description%/An indication as to whether the patient has reached the copay limit.
*/
	int copay_limit_indicator;
	/*design comment coverage_type_code 
:/%Description%/A code identifying the type of insurance coverage, or what type of services are covered for the purposes of a billing system.
*/
	int coverage_type_code;
	/*design comment daily_deductible_amount 
:/%Description%/The amount of the daily deductible for this insurance plan.
*/
	int daily_deductible_amount;
	/*design comment effective_date 
:/%Description%/The date the healthcare coverage first becomes effective.
*/
	int effective_date;
	/*design comment eligibility_source_code 
:/%Description%/A code depicting the source of information about the insured's eligibility for benefits. {insurance company, employer, insured presented policy, insured presented card, signed statement on file, verbal information, none}
*/
	int eligibility_source_code;
	/*design comment expiration_date 
:/%Description%/The last date of service that the insurance will cover or be responsible for.
*/
	int expiration_date;
	/*design comment group_benefit_indicator 
:/%Description%/A indication as to whether the healthcare coverage is a group contract.
*/
	int group_benefit_indicator;
	/*design comment mail_claim_party_code 
:/%Description%/A code indicating the party to which th claim should be mailed.  {employer, guarantor, insurance company, patient, other}.
*/
	int mail_claim_party_code;
	/*design comment non_covered_insurance_code 
:/%Description%/A code depicting the reason why a service is not covered.
*/
	int non_covered_insurance_code;
	/*design comment plan_identifier 
:/%Description%/An identfier of an healthcare benefit plan.
*/
	int plan_identifier;
	/*design comment policy_deductible 
:/%Description%/The deductible amount specified by the insurance plan.
*/
	int policy_deductible;
	/*design comment policy_identifier 
:/%Description%/The identifier for the healthcare coverage policy.
*/
	int policy_identifier;
	/*design comment policy_limit_day_count 
:/%Description%/The maximum number of days that the insurance policy will cover.
*/
	int policy_limit_day_count;
	/*design comment policy_scope_code 
:/%Description%/A code depicting the extent of the coverage for a participating member. {single, family, etc.}
*/
	int policy_scope_code;
	/*design comment policy_source_code 
:/%Description%/A code indicating how the policy informaion was obtained.
*/
	int policy_source_code;
	/*design comment release_information_code 
:/%Description%/A code describing what information, if any, a provider can release about a patient.
*/
	int release_information_code;
	/*design comment report_of_eligiblity_indicator 
:/%Description%/A indication of whether the insurance carrier send a report of eligibility identifying the benefits the patient is eligible for.
*/
	int report_of_eligiblity_indicator;
	/*design comment room_coverage_type_amount_code 
:/%Description%/A rate for a given room type.
*/
	int room_coverage_type_amount_code;
	/*design comment status_code 
:/%Description%/A code depicting the status of the healthcare coverage.
*/
	int status_code;
	/*design comment termination_date 
:/%Description%/The date the healthcare coverage is no longer in effect.
*/
	int termination_date;
	};

#endif
