
#ifndef CLASS054_HPP
#define CLASS054_HPP
class Location_encounter_role
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_location" */
	/*design assoc Patient_encounter with Patient_encounter <"pertains_to (1,1)", "has (1,M)">
*/

	/*design comment 
:/%Description%/An association between a patient encounter and a location.
*/
public:
private:
	/*design comment accomodation_code 
:/%Description%/A code depicting the type of accomodation associated with this patient encounter.
*/
	int accomodation_code;
	/*design comment effective_datetime 
:/%Description%/Date the association between the patient encounter and the facility location becomes effective.
*/
	int effective_datetime;
	/*design comment location_role_code 
:/%Description%/A code depicting the relationship of the facility location to the patient encounter.
*/
	int location_role_code;
	/*design comment status_code 
:/%Description%/The status of location encounter role.
*/
	int status_code;
	/*design comment termination_datetime 
:/%Description%/Date the association between the facility location and the patient encounter ends.
*/
	int termination_datetime;
	/*design comment transfer_reason_code 
:/%Description%/The reason code for a patient transfer.
*/
	int transfer_reason_code;
	/*design comment transfer_reason_description 
:/%Description%/Descriptive text providing the reason for a transfer associated with the patient encounter.
*/
	int transfer_reason_description;
	/*design comment usage_approved_indicator 
:/%Description%/A indication that use of the location has been approved.
*/
	int usage_approved_indicator;
	};

#endif
