
#ifndef CLASS056_HPP
#define CLASS056_HPP
#include "Class043.hpp"
class Medicare_coverage: public Healthcare_benefit_plan
	{
	/*design in subject "Healthcare_benefit_plan" */
	/*design in subject "Healthcare_finances" */

	/*design comment 
:/%Description%/A type of Healthcare coverage provided by the federal Medicare program.
*/
public:
private:
	/*design comment effective_date 
:/%Description%/The date the person's medicare coverage becomes effective.
*/
	int effective_date;
	/*design comment eligibility_code 
:/%Description%/A code depicting the person's medicare eligibility type {age, disability, ESRD, ... }
*/
	int eligibility_code;
	/*design comment identifier 
:/%Description%/A person's medicare coverage identifier (HICN).
*/
	int identifier;
	/*design comment lifetime_reserve_day_count 
:/%Description%/The number of lifetime reserve days remaining.
*/
	int lifetime_reserve_day_count;
	/*design comment lifetime_reserve_delay_day_count 
:/%Description%/A delay prior to lifetime reserve days.
*/
	int lifetime_reserve_delay_day_count;
	/*design comment medicare_coverage_type_code 
:/%Description%/A code indicating the type of medicare coverage. {hospital, professional}
*/
	int medicare_coverage_type_code;
	/*design comment program_type_code 
:/%Description%/A code depicting the medicare reimbursement type. {GPPP Cost, GPPP Risk, PPS, ...}
*/
	int program_type_code;
	/*design comment renal_code 
:/%Description%/A code indicating the renal status of the person's medicare coverage.
*/
	int renal_code;
	/*design comment termination_date 
:/%Description%/The date the person's medicare coverage is no longer in effect.
*/
	int termination_date;
	};

#endif
