
#ifndef CLASS064_HPP
#define CLASS064_HPP
class Patient
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Patient" */
	/*design assoc Healthcare_benefit_plan with Healthcare_benefit_plan <"has (0,M)", "is_for (1,1)">
*/
	/*design assoc Individual_healthcare_provider with Individual_healthcare_provider <"has_a_primary_provider (0,1)", "is_the_primary_provider_for (0,M)">
*/
	/*design assoc Person with Person <"is_a_role_of (1,1)", "takes_on_role_of (0,1)">
*/
	/*design assoc Primary_care_provider_assignment with Primary_care_provider_assignment <"participates_in (0,1)", "has_as_care_recipient (1,1)">
*/

	/*design comment 
:/%Description%/A person who may receive, is receiving, or has received Healthcare services.
*/
public:
private:
	/*design comment ambulatory_status_code 
:/%Description%/Condition of a patient, such as pregnant, hearing impaired, etc.
*/
	int ambulatory_status_code;
	/*design comment birth_order_code 
:/%Description%/For newborn patients in a multiple birth the order this patient was born in.
*/
	int birth_order_code;
	/*design comment classification_code 
:/%Description%/A classifying code for patients.
*/
	int classification_code;
	/*design comment living_arrangement_code 
:/%Description%/A code depicting the living arrangements of a person.  Examples might include Alone, Family, Relatives, Institution, etc.
*/
	int living_arrangement_code;
	/*design comment living_dependency_code 
:/%Description%/A code depicting the nature of a dependency that may exist between one stakeholder and another.
*/
	int living_dependency_code;
	/*design comment multiple_birth_indicator 
:/%Description%/A indication as to wheather the patient is part of a multiple birth.
*/
	int multiple_birth_indicator;
	/*design comment newborn_baby_indicator 
:/%Description%/A indication that the patient is a newborn baby.
*/
	int newborn_baby_indicator;
	/*design comment organ_donor_indicator 
:/%Description%/An indication that the patient is an organ donor.
*/
	int organ_donor_indicator;
	/*design comment preferred_pharmacy_identifier 
:/%Description%/The perferred pharmacy of the patient.
*/
	int preferred_pharmacy_identifier;
	/*design comment triage_classification_code 
:/%Description%/The triage classification of the patient.
*/
	int triage_classification_code;
	};

#endif
