
#ifndef CLASS077_HPP
#define CLASS077_HPP
class Patient_information_disclosure
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Patient" */
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,M)">
*/

	/*design comment 
:/%Description%/A release of patient information to a third party.
*/
public:
private:
	/*design comment disclosure_datetime 
:/%Description%/The data and time of the disclosure.
*/
	int disclosure_datetime;
	/*design comment information_disclosed 
:/%Description%/Free form textual description of the information disclosed.
*/
	int information_disclosed;
	/*design comment information_requested 
:/%Description%/Free form text description of the requested information.
*/
	int information_requested;
	/*design comment reason_code 
:/%Description%/A code indicating why information about the patient was disclosed.
*/
	int reason_code;
	/*design comment requested_datetime 
:/%Description%/Date the disclosed patient information was requested.
*/
	int requested_datetime;
	/*design comment urgency_code 
:/%Description%/A code indicating the priority of the request by a requester.
*/
	int urgency_code;
	};

#endif
