
#ifndef CLASS086_HPP
#define CLASS086_HPP
class Patient_service_location
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_location" */
	/*design assoc Location_encounter_role with Location_encounter_role <"has (0,M)", "pertains_to (1,1)">
*/
	/*design assoc Patient with Patient <"is_primary_facility_for (0,M)", "has_as_primary_facility (0,1)">
*/
	/*design assoc Patient_service_location with Patient_service_location <"is_included_in (0,1)", "includes (0,M)">
*/
	/*design assoc Pharmacy_service_order with Pharmacy_service_order <"recieved_delivery_of (0,M)", "is_delivered_to (1,1)">
*/

	/*design comment 
:/%Description%/A place of settlement, activity, or residence.
*/
public:
private:
	/*design comment address 
:/%Description%/Address of the location.
*/
	int address;
	/*design comment closing_date 
:/%Description%/Closing date of the location.
*/
	int closing_date;
	/*design comment identifier 
:/%Description%/A unique identifier of a patient care location.
*/
	int identifier;
	/*design comment licensed_bed_quantity 
:/%Description%/The number of licensed beds at the location.
*/
	int licensed_bed_quantity;
	/*design comment name 
:/%Description%/name of the location.
*/
	int name;
	/*design comment opening_date 
:/%Description%/Opening date of the location.
*/
	int opening_date;
	/*design comment service_specialty_code 
:/%Description%/The specialty code of the service.
*/
	int service_specialty_code;
	/*design comment status_code 
:/%Description%/A code indicating the status of the location.
*/
	int status_code;
	/*design comment telephone 
:/%Description%/Phone at the location.
*/
	int telephone;
	/*design comment type_code 
:/%Description%/A code indicating the type of patient care location.  {hospital, clinic, hospital ward, room, bed,...}
*/
	int type_code;
	};

#endif
