
#ifndef CLASS088_HPP
#define CLASS088_HPP
#include "Class114.hpp"
class Person: public Stakeholder
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Person" */
	/*design assoc Advance_directive_witness with Advance_directive_witness <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
*/
	/*design assoc Contact_person with Contact_person <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
*/
	/*design assoc Employee with Employee <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
*/
	/*design assoc Individual_healthcare_provider with Individual_healthcare_provider <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
*/
	/*design assoc Patient_pathway_goal_target with Patient_pathway_goal_target <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
*/
	/*design assoc Person_alternate_name with Person_alternate_name <"has (0,M)", "is_for (1,1)">
*/

	/*design comment 
:/%Description%/A type of stakeholder.  An individual human being.
*/
public:
private:
	/*design comment birth_datetime 
:/%Description%/The date and time of a person't birth.
*/
	int birth_datetime;
	/*design comment birthplace_name 
:/%Description%/The place the person was born.
*/
	int birthplace_name;
	/*design comment citizenship_country_code 
:/%Description%/The current citizenship of a person.
*/
	int citizenship_country_code;
	/*design comment confidentiality_constraint_code 
:/%Description%/A code depicting the nature of publicity protections in place for this person.
*/
	int confidentiality_constraint_code;
	/*design comment deceased_datetime 
:/%Description%/The date and time that a person's death occured.
*/
	int deceased_datetime;
	/*design comment deceased_indicator 
:/%Description%/A indication that the person is dead.
*/
	int deceased_indicator;
	/*design comment disability_code 
:/%Description%/A code identifying a person disability.
*/
	int disability_code;
	/*design comment education_level_code 
:/%Description%/The amount of education a peson earned.
*/
	int education_level_code;
	/*design comment ethnic_group_code 
:/%Description%/The ethnic group of the person.
*/
	int ethnic_group_code;
	/*design comment gender_code 
:/%Description%/A code depicting the gender (sex) of a person.
*/
	int gender_code;
	/*design comment language_code 
:/%Description%/A code identifying a language.
*/
	int language_code;
	/*design comment marital_status_code 
:/%Description%/A code depicting the marital status of a person.
*/
	int marital_status_code;
	/*design comment military_branch_of_service_code 
:/%Description%/A person's military branch of service.
*/
	int military_branch_of_service_code;
	/*design comment military_rank_name 
:/%Description%/The name of a person's military rank.
*/
	int military_rank_name;
	/*design comment military_status_code 
:/%Description%/The military status of a person.
*/
	int military_status_code;
	/*design comment nationality_code 
:/%Description%/A code depicting the nationality of a person.
*/
	int nationality_code;
	/*design comment primary_person_name 
:/%Description%/The primary name of a person.
*/
	int primary_person_name;
	/*design comment race_code 
:/%Description%/A code depicting the race of a person.
*/
	int race_code;
	/*design comment religious_affiliation_code 
:/%Description%/A person's religous preferance.
*/
	int religious_affiliation_code;
	/*design comment student_indicator 
:/%Description%/An indicator that the person is a student.
*/
	int student_indicator;
	/*design comment very_important_person_indicator 
:/%Description%/And indication that the person is an VIP.
*/
	int very_important_person_indicator;
	};

#endif
