
#ifndef CLASS096_HPP
#define CLASS096_HPP
#include "Class085.hpp"
class Pharmacy_service_event: public Patient_service_event
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Pharmacy_service_event" */
	/*design part Pharmacy_service_administration class Pharmacy_service_administration <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design part Pharmacy_service_dispense class Pharmacy_service_dispense <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design part Pharmacy_service_give class Pharmacy_service_give <"has_parts (0,M)", "is_part_of (1,1)">
*/

	/*design comment 
:/%Description%/A type of service event in which a pharmacy or treatment service is performed.
*/
public:
private:
	/*design comment give_code 
:/%Description%/Identifier of the medical substance ordered to be given to the patient.
*/
	int give_code;
	/*design comment prescription_identifier 
:/%Description%/An identifier assigned to the pharmacy treatment service event.
*/
	int prescription_identifier;
	/*design comment refills_remaining_amount 
:/%Description%/The number of refills remaining.
*/
	int refills_remaining_amount;
	};

#endif
