
#ifndef CLASS101_HPP
#define CLASS101_HPP
class Pharmacy_service_order_item
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_order" */

	/*design comment 
:/%Description%/An item in a pharmacy treatment order.
*/
public:
private:
	/*design comment dispense_amount 
:/%Description%/The amount of medication to be dispensed.
*/
	int dispense_amount;
	/*design comment dispense_code 
:/%Description%/The requested dispense code.
*/
	int dispense_code;
	/*design comment give_code 
:/%Description%/The identifier of the medical substance ordered to be given to the patient.
*/
	int give_code;
	/*design comment give_dosage_form_code 
:/%Description%/A code for the form of dosage for adminstration of the medication.
*/
	int give_dosage_form_code;
	/*design comment give_per_time_unit_code 
:/%Description%/The number of gives per unit of time.
*/
	int give_per_time_unit_code;
	/*design comment give_rate_amount 
:/%Description%/The rate of give for the medication.
*/
	int give_rate_amount;
	/*design comment max_give_amount 
:/%Description%/The maximum amount of medication to be administered.
*/
	int max_give_amount;
	/*design comment medication_identifier 
:/%Description%/An identifier for the medication ordered.
*/
	int medication_identifier;
	/*design comment medication_name 
:/%Description%/The name of the ordered medication.
*/
	int medication_name;
	/*design comment min_give_amount 
:/%Description%/The minimum amount of medication to be administered.
*/
	int min_give_amount;
	};

#endif
