
#ifndef CLASS109_HPP
#define CLASS109_HPP
#include "Class070.hpp"
class Reported_patient_accident: public Patient_clinical_item
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Patient" */

	/*design comment 
:/%Description%/An undesirable or unfortunate happening that occurs unintentionally and usually results in harm, injury, damage, or loss.
*/
public:
private:
	/*design comment accident_description 
:/%Description%/Free form textual description of the accident.
*/
	int accident_description;
	/*design comment accident_type_code 
:/%Description%/A code depicting the type of accident.
*/
	int accident_type_code;
	/*design comment death_indicator 
:/%Description%/An indication that the accident resulted in death.
*/
	int death_indicator;
	/*design comment job_related_injury_indicator 
:/%Description%/An indication that the accident is work related.
*/
	int job_related_injury_indicator;
	/*design comment location_description 
:/%Description%/A description of the location of the accident.
*/
	int location_description;
	/*design comment location_state_code 
:/%Description%/The state in which the accident occurred.
*/
	int location_state_code;
	/*design comment occurrence_datetime 
:/%Description%/The date and time the accident occurred.
*/
	int occurrence_datetime;
	};

#endif
