
#ifndef CLASS111_HPP
#define CLASS111_HPP
class Service_catalog_item
	{
	/*design in subject "Master_tables" */
	/*design in subject "Service_catalog_item" */
	/*design assoc Pathway_master with Pathway_master <"is_recommended_by (0,M)", "recommends (0,M)">
*/
	/*design assoc Patient_service_event with Patient_service_event <"is_delivered_during (0,M)", "delivers (1,1)">
*/
	/*design assoc Service_catalog_item with Service_catalog_item <"includes (0,M)", "is_included_in (0,M)">
*/

	/*design comment 
:/%Description%/An individual test observation, test observation battery or panel, individual medication, diet, or procedure.
*/
public:
private:
	/*design comment affecting_factors_description 
:/%Description%/Text description of the foods, diagnosis, drugs, or other conditions that may influence the interpretation of the observation including information about the direction of the effect, and any recommendation about altering the diet, conditions, or drugs before initiating the test observation.
*/
	int affecting_factors_description;
	/*design comment alternate_identifier 
:/%Description%/An alternate unique identifier for the service catalog item.
*/
	int alternate_identifier;
	/*design comment alternate_name 
:/%Description%/An alternate name for the catalog item.
*/
	int alternate_name;
	/*design comment billing_reference_text 
:/%Description%/The service catalog item billing reference information.
*/
	int billing_reference_text;
	/*design comment confidentiality_code 
:/%Description%/A code depicting the level of confidentiality associated with the service catalog item.
*/
	int confidentiality_code;
	/*design comment contact_phone_number 
:/%Description%/The contact number for questions about ordering or scheduling the service
*/
	int contact_phone_number;
	/*design comment contraindication_diagnosis_code 
:/%Description%/A code for a diagnosis or problem for which the service catalog item is a contraindication or of possible danger.
*/
	int contraindication_diagnosis_code;
	/*design comment description 
:/%Description%/A description of the service catalog item.
*/
	int description;
	/*design comment effective_date 
:/%Description%/The date the service catalog item is effective.
*/
	int effective_date;
	/*design comment fee_amount 
:/%Description%/The service catalog fee amount.
*/
	int fee_amount;
	/*design comment identifier 
:/%Description%/The primary or preferred unique identifier for the service catalog item.
*/
	int identifier;
	/*design comment maximum_service_interval_code 
:/%Description%/A code indicating the maximum service interval for the service catalog item.
*/
	int maximum_service_interval_code;
	/*design comment method_code 
:/%Description%/A code depicting the service catalog item method.
*/
	int method_code;
	/*design comment method_description 
:/%Description%/A textual description of the service catalog item method.
*/
	int method_description;
	/*design comment orderable_service_indicator 
:/%Description%/An indication that the service catalog item is an orderable service.
*/
	int orderable_service_indicator;
	/*design comment patient_preparation_description 
:/%Description%/A description of special patient preparation, diet, or medications for this service catalog item.
*/
	int patient_preparation_description;
	/*design comment portable_device_indicator 
:/%Description%/An indication that a portable device may be use for the test or observation service catalog item.
*/
	int portable_device_indicator;
	/*design comment preferred_ordering_method_text 
:/%Description%/Free form text describing the preferred ordering method for the service catalog item.
*/
	int preferred_ordering_method_text;
	/*design comment preferred_scheduling_method_text 
:/%Description%/Free form text describing the preferred scheduling method for the service catalog item.
*/
	int preferred_scheduling_method_text;
	/*design comment primary_name 
:/%Description%/The primary or preferred name of the service catalog item.
*/
	int primary_name;
	/*design comment procedure_medication_identifier 
:/%Description%/The identifier of a medication treatment that may be needed as part of a procedure service catalog item.  Examples are radioactive iodine for a thyroid screen, and methacholine for a methacholine spirometry challenge.
*/
	int procedure_medication_identifier;
	/*design comment required_credentials_description 
:/%Description%/A description of the credentials required for the service catalog item.
*/
	int required_credentials_description;
	/*design comment service_requirment_description 
:/%Description%/A free form description of the service requirements for the service catalog item.
*/
	int service_requirment_description;
	/*design comment service_type_code 
:/%Description%/A code used to categorize the service catalog item.
*/
	int service_type_code;
	/*design comment sevice_classification_code 
:/%Description%/A code used to classify the service catalog item.



test battery

functional procedure or study

single test value

multiple test batteries

functional procedures as an orderable unit

single test value calculated from other independent observations.
*/
	int sevice_classification_code;
	};

#endif
