
#ifndef CLASS010_HPP
#define CLASS010_HPP
class Ag_person_name
	{
	/*design in subject "Attribute_groups" */

	/*design comment 
:/%Description%/An attribute group for person name.   Based upon the HL7 PN and XPN datatypes.
*/
public:
private:
	/*design comment family_name 
:/%Description%/A person's surname or family name.
*/
	int family_name;
	/*design comment given_name 
:/%Description%/A person's given name.
*/
	int given_name;
	/*design comment middle_name 
:/%Description%/An addtional name between the first and last names of a person.
*/
	int middle_name;
	/*design comment suffix_name 
:/%Description%/An additional test string added to a name.  Often use to denote a degree title {MD, Phd, LVN, ...} or a generation qualifier {Jr., Sr., III, ...}.
*/
	int suffix_name;
	/*design comment title_text 
:/%Description%/A text string preceding a person's first name usually portraying a position held by the person or a indication of the person's age/marital status. {Mr., Mrs, Miss, Sir, Reverend, General, master, ...}
*/
	int title_text;
	};

#endif
