
#ifndef CLASS079_HPP
#define CLASS079_HPP
class Patient_pathway
	{
	/*design in subject "Patient_clinical_pathway" */
	/*design in subject "Patient_encounters" */
	/*design assoc Pathway_master with Pathway_master <"is_an_instance_of (0,1)", "is_instanciated_by (0,M)">
*/
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (1,M)">
*/
	/*design assoc Patient_pathway_goal with Patient_pathway_goal <"targets (0,M)", "is_targeted_by (0,M)">
*/
	/*design assoc Patient_pathway_problem with Patient_pathway_problem <"targets (0,M)", "is_targeted_by (1,M)">
*/

	/*design comment 
:/%Description%/A Clinical pathway, or treatment plan, established for a particular patient.
*/
public:
private:
	int change_life_cycle_datetime;
	/*design comment established_datetime 
:/%Description%/The date the patient pathway was established.
*/
	int established_datetime;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the patient pathway.
*/
	int identifier;
	/*design comment life_cycle_status_code 
:/%Description%/A code depicting the class life cycle states (active, suspended, complete, canceled, delayed, scheduled)
*/
	int life_cycle_status_code;
	};

#endif
