
#ifndef CLASS039_HPP
#define CLASS039_HPP
class Guarantor_contract
	{
	/*design in subject "Guarantor_contract" */
	/*design in subject "Healthcare_finances" */
	/*design assoc Insurance_certification with Insurance_certification <"has_coverage_affirmed_by (0,M)", "affirms_insurance_coverage_for (1,1)">
*/

	/*design comment 
:/%Description%/A contract held by a stakeholder which specifies the financial responsibility of the stakeholder for a patient billing account.
*/
public:
private:
	/*design comment billing_hold_indicator 
:/%Description%/A indicator used to determine whether or not a system should suppress printing of the guarantor's bills.
*/
	int billing_hold_indicator;
	/*design comment billing_media_code 
:/%Description%/A code depicting the allowable mediums for billing under this guarantor contract.
*/
	int billing_media_code;
	/*design comment charge_adjustment_code 
:/%Description%/A code depicting which adjustments should be made to this guarantor's charges.
*/
	int charge_adjustment_code;
	/*design comment contract_duration_code 
:/%Description%/A code specifying the duration of the contract.
*/
	int contract_duration_code;
	/*design comment contract_type_code 
:/%Description%/Code identifying the type of contract entered into by the guarantor for the purpose of settling outstanding account balances.
*/
	int contract_type_code;
	/*design comment effective_date 
:/%Description%/The date the guarantor contract becomes effective..
*/
	int effective_date;
	/*design comment interest_rate_amount 
:/%Description%/The rate of interest for this guarantor contract.
*/
	int interest_rate_amount;
	/*design comment periodic_payment_amount 
:/%Description%/Amount to be paid by the guarantor each period.
*/
	int periodic_payment_amount;
	/*design comment priority_ranking_code 
:/%Description%/A code indicating the relative priority of this guarantor constract for a given patient billing account.
*/
	int priority_ranking_code;
	/*design comment separate_bill_indicator 
:/%Description%/An indication as to whether the baby in a delivery patient stay should be billed separately.
*/
	int separate_bill_indicator;
	/*design comment termination_date 
:/%Description%/The date the guarantor contract is no longer in effect.
*/
	int termination_date;
	};

#endif
