
#ifndef CLASS051_HPP
#define CLASS051_HPP
class Insurance_certification
	{
	/*design in subject "Guarantor_contract" */
	/*design in subject "Healthcare_finances" */
	/*design assoc Healthcare_benefit_plan with Healthcare_benefit_plan <"provides_validation_for (1,1)", "is_validated_by (0,M)">
*/
	/*design assoc Insurance_certification_contact with Insurance_certification_contact <"has_as_a_contact (1,M)", "is_a_contact_for (1,1)">
*/

	/*design comment 
:/%Description%/An affirmation by an insurance company that it will pay for specified service.
*/
public:
private:
	/*design comment appeal_reason_code 
:/%Description%/A code depicting the reason an appeal was made on a non-concur for certification.
*/
	int appeal_reason_code;
	/*design comment effective_date 
:/%Description%/The date that this certification becomes effective.
*/
	int effective_date;
	/*design comment identifier 
:/%Description%/A unique identifier for the certification assigned by the certification agency.
*/
	int identifier;
	/*design comment insurance_verification_datetime 
:/%Description%/The data and time the insurance coverage was verified.
*/
	int insurance_verification_datetime;
	/*design comment modification_datetime 
:/%Description%/The date/time that the certification was modified.
*/
	int modification_datetime;
	/*design comment non_concur_code 
:/%Description%/A code depicting the denied request.
*/
	int non_concur_code;
	/*design comment non_concur_effective_datetime 
:/%Description%/The date of the non-concurrence classification.
*/
	int non_concur_effective_datetime;
	/*design comment penalty_amount 
:/%Description%/The dollar amount of the penalty that will be assessed if the precertification is not performed.
*/
	int penalty_amount;
	/*design comment termination_date 
:/%Description%/The date the certification ends.
*/
	int termination_date;
	};

#endif
