
#ifndef CLASS044_HPP
#define CLASS044_HPP
class Healthcare_benefit_service
	{
	/*design in subject "Healthcare_benefit_plan" */
	/*design in subject "Healthcare_finances" */
	/*design assoc Service_catalog_item with Service_catalog_item <"provides_coverage_for (1,M)", "is_covered_by (0,M)">
*/

	/*design comment 
:/%Description%/A level of coverage for a selected class of Healthcare services.
*/
public:
private:
	/*design comment access_protocol_description 
:/%Description%/Description of the access protocol for the benefit service type.
*/
	int access_protocol_description;
	/*design comment capitation_indicator 
:/%Description%/An indication that the benefit service is a capitated service.
*/
	int capitation_indicator;
	/*design comment coinsurance_indicator 
:/%Description%/An indication that coinsurance is applicable for the benefit service.
*/
	int coinsurance_indicator;
	/*design comment coinsurance_percentage 
:/%Description%/The coinsurance percentage for the benefit service.
*/
	int coinsurance_percentage;
	/*design comment copayment_amount 
:/%Description%/The copayment amount for the benefit service.
*/
	int copayment_amount;
	/*design comment deductible_amount 
:/%Description%/The benefit service deductible amount.
*/
	int deductible_amount;
	/*design comment lower_coverage_limit_amount 
:/%Description%/The lower coverage limit.
*/
	int lower_coverage_limit_amount;
	/*design comment pay_cap_limit_amount 
:/%Description%/The payment limit on the benefit service.
*/
	int pay_cap_limit_amount;
	/*design comment pcp_referral_indicator 
:/%Description%/An indicator that the benefit service provided by a non primary provider must have a referral from a primary care provider to be covered.
*/
	int pcp_referral_indicator;
	/*design comment primary_care_provider_indicator 
:/%Description%/An indicator that the benefit service must be provided by a primary care provider to be covered.
*/
	int primary_care_provider_indicator;
	/*design comment review_indicator 
:/%Description%/A indication that the benefit service will be subject to review prior to payment.
*/
	int review_indicator;
	/*design comment upper_coverage_limit_amount 
:/%Description%/The upper limit of the benefit coverage.
*/
	int upper_coverage_limit_amount;
	};

#endif
