
#ifndef CLASS045_HPP
#define CLASS045_HPP
class Healthcare_coverage_benefit
	{
	/*design in subject "Healthcare_benefit_plan" */
	/*design in subject "Healthcare_finances" */
	/*design part Healthcare_benefit_service class Healthcare_benefit_service <"has_parts (0,M)", "is_part_of (1,1)">
*/

	/*design comment 
:/%Description%/A defined level of healthcare insurance coverage.
*/
public:
private:
	/*design comment annual_limit_amount 
:/%Description%/The annual limit amount for the Healthcare coverage benefit.
*/
	int annual_limit_amount;
	/*design comment benefit_description 
:/%Description%/A textual description of the benefit.
*/
	int benefit_description;
	/*design comment benefit_product_name 
:/%Description%/The name of the benefit product.
*/
	int benefit_product_name;
	/*design comment dependent_coverage_indicator 
:/%Description%/An indication as to wheather the benefit includes dependent coverage.
*/
	int dependent_coverage_indicator;
	/*design comment dependent_coverage_limit_amount 
:/%Description%/The limit on the dependent coverage amount.
*/
	int dependent_coverage_limit_amount;
	/*design comment effective_datetime 
:/%Description%/The date and time the benefit becomes effective.
*/
	int effective_datetime;
	/*design comment lifetime_limit_amount 
:/%Description%/The lifetime limit amount for the Healthcare coverage benefit.
*/
	int lifetime_limit_amount;
	/*design comment termination_datetime 
:/%Description%/The date the benefit is nolonger in effect.
*/
	int termination_datetime;
	};

#endif
