
#ifndef CLASS049_HPP
#define CLASS049_HPP
#include "Class047.hpp"
class Individual_healthcare_provider: public Healthcare_service_provider
	{
	/*design in subject "Healthcare_service_provider" */
	/*design in subject "Healthcare_stakeholders" */
	/*design assoc Order_healthcare_practitioner with Order_healthcare_practitioner <"participates_as (0,M)", "includes_the_participation_of (1,1)">
*/

	/*design comment 
:/%Description%/A person in the role of a healthcare provider.
*/
public:
private:
	/*design comment degree_name 
:/%Description%/The name of the educational degree held by the Healthcare practitioner.
*/
	int degree_name;
	/*design comment description 
:/%Description%/Free form text description of the healthcare practitioner.
*/
	int description;
	/*design comment fellowship_field_code 
:/%Description%/The fellowship field of a physician.
*/
	int fellowship_field_code;
	/*design comment graduate_school_name 
:/%Description%/The name of the graduate school attended by the healthcare pratitioner.
*/
	int graduate_school_name;
	/*design comment graduation_date 
:/%Description%/The date of graduation from graduated school.
*/
	int graduation_date;
	/*design comment position_code 
:/%Description%/A code indicating the position of a healthcare practioner in an healthcare organization.  {head of department, trainee, hospital consultant}
*/
	int position_code;
	/*design comment practitioner_type_code 
:/%Description%/A code indicating the type of healthcare professional. {medical doctor, nurse, pharmacist, laboratory worker,...}
*/
	int practitioner_type_code;
	/*design comment primary_care_indicator 
:/%Description%/An indication that the healthcare practitioner is a primary care provider.
*/
	int primary_care_indicator;
	/*design comment privilege_code 
:/%Description%/A code describing the set of privileges ascribed to the healthcare practitioner.
*/
	int privilege_code;
	/*design comment residency_field_code 
:/%Description%/The physician residency code.
*/
	int residency_field_code;
	};

#endif
