
#ifndef CLASS027_HPP
#define CLASS027_HPP
#include "Class059.hpp"
class Continuous_value_observation: public Observation_service_catalog_item
	{
	/*design in subject "Master_tables" */
	/*design in subject "Observation_service_catalog_item" */

	/*design comment 
:/%Description%/A test/observation service for which continuous value results are generated.
*/
public:
private:
	/*design comment absolute_range_amount 
:/%Description%/A specification of the range of possible results for ordinal and continuous observation.
*/
	int absolute_range_amount;
	/*design comment critical_range_amount 
:/%Description%/A specification of the range of values within the absolute range amount which are critical.
*/
	int critical_range_amount;
	/*design comment decimal_precision_amount 
:/%Description%/A specification of the total length and the number of decimal positions for numerically valued single observations.
*/
	int decimal_precision_amount;
	/*design comment delta_check_criteria_description 
:/%Description%/Delta check criteria applies to numeric tests/observation with a nature code of A or C.  This attribute describes the information that controls delta check warnings.
*/
	int delta_check_criteria_description;
	/*design comment minimum_increment_amount 
:/%Description%/The smallest meaningful difference between reported values (the effective resolution of the measuring instrument or technique for continuous data, or the smallest discrete interval that can occur for discrete data).
*/
	int minimum_increment_amount;
	/*design comment reference_range_amount 
:/%Description%/A specification of the normal range of results.
*/
	int reference_range_amount;
	/*design comment si_conversion_factor_amount 
:/%Description%/A factor for converting customary units to SI units.  Can be specified as an equation or a multiplier.
*/
	int si_conversion_factor_amount;
	};

#endif
