
#ifndef CLASS059_HPP
#define CLASS059_HPP
#include "Class111.hpp"
class Observation_service_catalog_item: public Service_catalog_item
	{
	/*design in subject "Master_tables" */
	/*design in subject "Observation_service_catalog_item" */
	/*design assoc Observation_service_catalog_item with Observation_service_catalog_item <"is_basis_for (0,M)", "has_as_basis (0,M)">
*/
	/*design assoc Observation_specimen_requirement with Observation_specimen_requirement <"has (0,M)", "is_specified_for (1,1)">
*/

	/*design comment 
:/%Description%/A type of sevice catalog item specific to observation services.
*/
public:
private:
	/*design comment instrument_identifier 
:/%Description%/The unique identifier assigned to the type of instrument required for the observation service type.
*/
	int instrument_identifier;
	/*design comment permitted_data_type_code 
:/%Description%/A code depicting the permitted format of the observation value.
*/
	int permitted_data_type_code;
	/*design comment processing_time_amount 
:/%Description%/The processing time requirement  of the observation service type.
*/
	int processing_time_amount;
	/*design comment specimen_required_indicator 
:/%Description%/An indication that a specimen is required for this observation service type.
*/
	int specimen_required_indicator;
	/*design comment turn_around_time_amount 
:/%Description%/The turn around time required for this observation service type.
*/
	int turn_around_time_amount;
	};

#endif
