
#ifndef CLASS073_HPP
#define CLASS073_HPP
class Patient_death
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Patient" */
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,1)">
*/

	/*design comment 
:/%Description%/The act of dying; the end of life; the total and permanent cessation of all the vital functions of a patient.
*/
public:
private:
	/*design comment death_certificate_identifier 
:/%Description%/The identfier assigned to the death certificate.
*/
	int death_certificate_identifier;
	/*design comment death_certificate_recorded_date 
:/%Description%/The date that the death certificate is recorded.
*/
	int death_certificate_recorded_date;
	/*design comment death_classification_code 
:/%Description%/A major classification of the cause of death.
*/
	int death_classification_code;
	/*design comment death_datetime 
:/%Description%/The date and time of death.
*/
	int death_datetime;
	/*design comment death_location_name 
:/%Description%/The name of the location where the death occurred.
*/
	int death_location_name;
	/*design comment death_notification_source_name 
:/%Description%/The name of the source providing the death notification.
*/
	int death_notification_source_name;
	/*design comment death_verification_code 
:/%Description%/A code identifying the source type used for verification.
*/
	int death_verification_code;
	/*design comment death_verification_date 
:/%Description%/The date the death information is verified.
*/
	int death_verification_date;
	/*design comment death_verification_name 
:/%Description%/Name of the person providing verification of death.
*/
	int death_verification_name;
	};

#endif
