
#ifndef CLASS036_HPP
#define CLASS036_HPP
class Financial_transaction
	{
	/*design in subject "Healthcare_finances" */
	/*design in subject "Patient_billing_account" */
	/*design assoc Healthcare_benefit_plan with Healthcare_benefit_plan <"is_associated_with (0,1)", "is_associated_with (0,M)">
*/
	/*design assoc Patient_billing_account with Patient_billing_account <"is_associated_with (1,1)", "has (0,M)">
*/
	/*design assoc Person with Person <"is_entered_by (1,1)", "enters (0,M)">
*/

	/*design comment 
:/%Description%/A charge, credit, or adjustment to a charges in a patient account.
*/
public:
private:
	/*design comment alternate_description 
:/%Description%/An alternate description of the transaction.
*/
	int alternate_description;
	/*design comment assigned_patient_location_code 
:/%Description%/A code depicted the location type used for billing.
*/
	int assigned_patient_location_code;
	/*design comment description 
:/%Description%/Explanatory text concerning a financial transaction.
*/
	int description;
	/*design comment extended_amount 
:/%Description%/The transaction amount derived from multiplying the unit amount by the number of units.
*/
	int extended_amount;
	/*design comment fee_schedule_code 
:/%Description%/A code depicting the fee schedule used for this financial transaction.
*/
	int fee_schedule_code;
	/*design comment insurance_amount 
:/%Description%/The amount of the financial transaction that is applicable to the associated Healthcare benefit plan.
*/
	int insurance_amount;
	/*design comment posting_date 
:/%Description%/The posting date of the financial transaction.
*/
	int posting_date;
	/*design comment quantity 
:/%Description%/transaction quantity.
*/
	int quantity;
	/*design comment transaction_batch_id 
:/%Description%/A unique identifier assigned to the batch in which this transaction belongs.
*/
	int transaction_batch_id;
	/*design comment transaction_code 
:/%Description%/A code depicting the financial action covered in the transaction.
*/
	int transaction_code;
	/*design comment transaction_date 
:/%Description%/The date of the transaction.
*/
	int transaction_date;
	/*design comment transaction_identifier 
:/%Description%/A indentifier assigned to the transaction for control purposes.
*/
	int transaction_identifier;
	/*design comment transaction_type_code 
:/%Description%/A code depicting the transaction type. {credit, charge, payment, adjustment}
*/
	int transaction_type_code;
	/*design comment unit_amount 
:/%Description%/The amount associated with one transaction unit.
*/
	int unit_amount;
	/*design comment unit_cost_amount 
:/%Description%/The unit price of transaction. The cost of a single item.
*/
	int unit_cost_amount;
	};

#endif
