
#ifndef CLASS028_HPP
#define CLASS028_HPP
class Diagnostic_related_group
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */
	/*design assoc Encounter_drg with Encounter_drg <"is_assigned_as (0,M)", "is_an_assignment_of (1,1)">
*/

	/*design comment 
:/%Description%/A broad categorization, based upon included procedures and diagnoses, that applies to a Healthcare event as a whole.  Used for grouping and evaluating Healthcare encounters with respect to duration of care and cost.



<see FIN2301:DRG_Master_File>
*/
public:
private:
	/*design comment base_rate 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int base_rate;
	/*design comment capital_reimbursement 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int capital_reimbursement;
	/*design comment cost_weight 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int cost_weight;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the diagnostic related group.
*/
	int identifier;
	/*design comment major_diagnostic_category_code 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int major_diagnostic_category_code;
	/*design comment operating_reimbursement 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int operating_reimbursement;
	/*design comment reimbursement_amount 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int reimbursement_amount;
	/*design comment standard_day_count 
:/%Description%/<see FIN2301:DRG_Master_File;Standard_Day_Stay>
*/
	int standard_day_count;
	/*design comment standard_total_charge_amount 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int standard_total_charge_amount;
	/*design comment trim_high_day_count 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int trim_high_day_count;
	/*design comment trim_low_day_count 
:/%Description%/<see FIN2301:DRG_Master_File>
*/
	int trim_low_day_count;
	};

#endif
