
#ifndef CLASS034_HPP
#define CLASS034_HPP
class Encounter_incident
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */
	/*design assoc Patient_encounter with Patient_encounter <"pertains_to (1,1)", "has (0,M)">
*/

	/*design comment 
:/%Description%/An occurrence of an event pertaining or attaching to a patient encounter.
*/
public:
private:
	/*design comment incident_code 
:/%Description%/A code depicting the incident type {body fluid exposure, equipment problem, inpatient fall, medication error, ...}
*/
	int incident_code;
	/*design comment incident_datetime 
:/%Description%/The date and time the incident occured.
*/
	int incident_datetime;
	/*design comment incident_severity_code 
:/%Description%/A code depicting the potential impact of an incidenton the quality of patient care.
*/
	int incident_severity_code;
	/*design comment incident_type_code 
:/%Description%/A code depictinga classification of the incident type {preventable, user error, ...}
*/
	int incident_type_code;
	};

#endif
