
#ifndef CLASS068_HPP
#define CLASS068_HPP
class Patient_arrival
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */
	/*design assoc Patient_encounter with Patient_encounter <"precedes (1,1)", "is_preceded_by (0,1)">
*/

	/*design comment 
:/%Description%/The arrival of a patient at the location of care for a patient encounter.
*/
public:
private:
	/*design comment acuity_level_code 
:/%Description%/A code depicting the accuteness of the patients medical condition upon arrival.
*/
	int acuity_level_code;
	/*design comment arrival_datetime 
:/%Description%/The date and time of the patient arrival at the care location.
*/
	int arrival_datetime;
	/*design comment arrival_type_code 
:/%Description%/A code classifying the types of patient arrivals.
*/
	int arrival_type_code;
	/*design comment medical_service_identifier 
:/%Description%/A unique identifier assigned to the medical service anticipated in the patient encounter.
*/
	int medical_service_identifier;
	/*design comment source_of_arrival_code 
:/%Description%/A code depicting the source of arrival. 
*/
	int source_of_arrival_code;
	/*design comment transport_mode_code 
:/%Description%/A code depicting the mode of transportation used to transport the patient to the care location.
*/
	int transport_mode_code;
	};

#endif
