
#ifndef CLASS100_HPP
#define CLASS100_HPP
#include "Class087.hpp"
class Pharmacy_service_order: public Patient_service_order
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_order" */
	/*design part Pharmacy_service_order_item class Pharmacy_service_order_item <"has_parts (1,M)", "is_part_of (1,1)">
*/

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning the dispensement of medication to a patient.
*/
public:
private:
	/*design comment administration_device_code 
:/%Description%/The device used to administer the medication.
*/
	int administration_device_code;
	/*design comment administration_method_code 
:/%Description%/The method to be used to administer the medication.
*/
	int administration_method_code;
	/*design comment dosage_text 
:/%Description%/The dosage to be administered.
*/
	int dosage_text;
	/*design comment earliest_dispense_date 
:/%Description%/The earliest date the medication can be dispensed.
*/
	int earliest_dispense_date;
	/*design comment expiration_date 
:/%Description%/The date the pharmacy service order expires.
*/
	int expiration_date;
	/*design comment instruction_description 
:/%Description%/Free form instructional text for the pharmacy order.
*/
	int instruction_description;
	/*design comment last_refilled_datetime 
:/%Description%/The date and time the pharmacy order was last refilled.
*/
	int last_refilled_datetime;
	/*design comment needs_human_review_indicator 
:/%Description%/A indication that the pharmacy order required human review.
*/
	int needs_human_review_indicator;
	/*design comment non_formulary_authorized_ind 
:/%Description%/An indication that a pharmacy order for an out of formulary item is authorized.
*/
	int non_formulary_authorized_ind;
	/*design comment prescription_identifier 
:/%Description%/The identifier assigned to the pharmacy order.
*/
	int prescription_identifier;
	/*design comment quantity_timing_code 
:/%Description%/The information about how many services to perform at one service time and how often the service times are repeated, and to fix duration of the request.  
*/
	int quantity_timing_code;
	/*design comment refills_allowed_amount 
:/%Description%/The number of refills allowed.
*/
	int refills_allowed_amount;
	/*design comment refills_doses_dispense_amount 
:/%Description%/The number of refills doses dispensed.
*/
	int refills_doses_dispense_amount;
	/*design comment refills_remaining_amount 
:/%Description%/The number of refills remaining.
*/
	int refills_remaining_amount;
	/*design comment rejection_reason_code 
:/%Description%/A reason code for rejection of a pharmacy order.
*/
	int rejection_reason_code;
	/*design comment route_code 
:/%Description%/The route by which the medication is to be administered.
*/
	int route_code;
	/*design comment site_code 
:/%Description%/The site to which the medication is to be administered.
*/
	int site_code;
	/*design comment substitution_allowed_indicator 
:/%Description%/An indicator that a substitution medication is allowed.
*/
	int substitution_allowed_indicator;
	/*design comment substitution_status_code 
:/%Description%/Substitution status of the pharmacy order.
*/
	int substitution_status_code;
	/*design comment total_daily_dose_code 
:/%Description%/Total daily dosage code.
*/
	int total_daily_dose_code;
	/*design comment unit_of_measure_code 
:/%Description%/Unit of measure.
*/
	int unit_of_measure_code;
	/*design comment verification_required_indicator 
:/%Description%/An indication that verification is required.
*/
	int verification_required_indicator;
	};

#endif
