
#ifndef CLASS022_HPP
#define CLASS022_HPP
class Clinical_observation
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_event" */
	/*design assoc Clinical_observation_provider with Clinical_observation_provider <"has_as_participant (1,M)", "is_participant_for (1,1)">
*/
	/*design assoc Clinical_observation_report with Clinical_observation_report <"is_reported_on (0,M)", "reports (1,M)">
*/
	/*design assoc Observation_service_catalog_item with Observation_service_catalog_item <"is_an_observation_of (1,1)", "is_observed_by (0,M)">
*/

	/*design comment 
:/%Description%/The information or record secured by an act or instance of viewing or noting a fact or occurrence for some health related purpose.
*/
public:
private:
	/*design comment abbreviation_name 
:/%Description%/An abbreviation name for the observation.
*/
	int abbreviation_name;
	/*design comment abnormal_result_indicator 
:/%Description%/An indication that the observation results are abnormal.
*/
	int abnormal_result_indicator;
	/*design comment access_control_text 
:/%Description%/Text used to control the access to observation data.
*/
	int access_control_text;
	/*design comment coding_method_name 
:/%Description%/The name of the observation coding method.
*/
	int coding_method_name;
	/*design comment degree_of_certainty_percentage 
:/%Description%/The degee of certainty in the clinical observation expressed as a percentage.
*/
	int degree_of_certainty_percentage;
	/*design comment interpretation_description 
:/%Description%/The clinical observation interpretation.
*/
	int interpretation_description;
	/*design comment last_normal_observation_date 
:/%Description%/The date of the last normal observation for the associated patient.
*/
	int last_normal_observation_date;
	/*design comment observation_begin_datetime 
:/%Description%/The begin date and time the observation is made.
*/
	int observation_begin_datetime;
	/*design comment observation_description 
:/%Description%/A description of the observation.
*/
	int observation_description;
	/*design comment observation_end_datetime 
:/%Description%/The end date and time of an observation.
*/
	int observation_end_datetime;
	/*design comment observation_method_code 
:/%Description%/A code indicating the method employed in conducting the observation.
*/
	int observation_method_code;
	/*design comment observation_status_code 
:/%Description%/The status of the clinical result of the observation.
*/
	int observation_status_code;
	/*design comment observation_status_datetime 
:/%Description%/The effective date and time of the clinical result.
*/
	int observation_status_datetime;
	/*design comment observation_subgroup_identifier 
:/%Description%/A sub-group identifier for the observation used to group related observations.
*/
	int observation_subgroup_identifier;
	/*design comment observation_value_text 
:/%Description%/Observation value.
*/
	int observation_value_text;
	/*design comment observation_value_type_code 
:/%Description%/A qualifier of the observation value.
*/
	int observation_value_type_code;
	/*design comment reference_lower_limit_amount 
:/%Description%/The lower limit amount in normal result range.
*/
	int reference_lower_limit_amount;
	/*design comment reference_upper_limit_amount 
:/%Description%/The upper limit amount in a normal result range.
*/
	int reference_upper_limit_amount;
	};

#endif
