
#ifndef CLASS002_HPP
#define CLASS002_HPP
#include "Class070.hpp"
class Advance_directive: public Patient_clinical_item
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Patient" */
	/*design assoc Notary_public with Notary_public <"is_notarized_by (1,1)", "notorizes (0,M)">
*/

	/*design comment 
:/%Description%/An authoritative instruction or direction of a patient regarding their healthcare or the disposition of their remains.
*/
public:
private:
	/*design comment competence_indicator 
:/%Description%/An indication as to wheather the patient was mentally competent when completing the advance directive.
*/
	int competence_indicator;
	/*design comment directive_code 
:/%Description%/A code depicting the nature of the advance directive.
*/
	int directive_code;
	/*design comment disclosure_level_code 
:/%Description%/The level of disclosure allowed for this advance directive.
*/
	int disclosure_level_code;
	/*design comment life_quality_description 
:/%Description%/A free for text discribing quality of life preference of the patient to be used in making intervention decisions.
*/
	int life_quality_description;
	/*design comment mortuary_preference_name 
:/%Description%/The name of the patient's prefered mortuary.
*/
	int mortuary_preference_name;
	/*design comment notarization_date 
:/%Description%/The date the advance directive was notarized.
*/
	int notarization_date;
	};

#endif
