
#ifndef CLASS024_HPP
#define CLASS024_HPP
class Clinical_observation_report
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_event" */

	/*design comment 
:/%Description%/A report of the information or record secured by an act or instance of viewing or noting a fact or occurrence for some health related purpose.



ISSUE: consideration should be given to combining this concept with other reporting identified in the Information Management chapter.
*/
public:
private:
	/*design comment cancellation_reason_code 
:/%Description%/The reason the clinical observation result was cancelled.
*/
	int cancellation_reason_code;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the observation result.
*/
	int identifier;
	/*design comment issue_datetime 
:/%Description%/The date and time the clinical observation results are issued.
*/
	int issue_datetime;
	/*design comment reciept_acknowlegement_requested 
:/%Description%/An indicator that an acknowledgement reciept is request for the clinical observation report.
*/
	int reciept_acknowlegement_requested;
	/*design comment reporting_priority_code 
:/%Description%/The reporting priority of the clinical result.
*/
	int reporting_priority_code;
	/*design comment service_provider_comment 
:/%Description%/Free form text of the observation result.
*/
	int service_provider_comment;
	/*design comment status_code 
:/%Description%/The status of the clinical observation result.
*/
	int status_code;
	/*design comment status_datetime 
:/%Description%/The effective date and time of the result status.
*/
	int status_datetime;
	};

#endif
