
#ifndef CLASS055_HPP
#define CLASS055_HPP
#include "Class043.hpp"
class Medicaid_coverage: public Healthcare_benefit_plan
	{
	/*design in subject "Healthcare_benefit_plan" */
	/*design in subject "Healthcare_finances" */

	/*design comment 
:/%Description%/A type of healthcare coverage provided by a state medicaid program.
*/
public:
private:
	/*design comment aid_category_code 
:/%Description%/A code depicting the category of aid which make this person eligible for medicaid. {aged, blind, disabled, families with dependent children}
*/
	int aid_category_code;
	/*design comment case_number 
:/%Description%/An identifier assigned to a medicaid family for administation as a case.
*/
	int case_number;
	/*design comment effective_date 
:/%Description%/The date medicaid coverage becomes effective.
*/
	int effective_date;
	/*design comment termination_date 
:/%Description%/The date medicaid coverage terminates.
*/
	int termination_date;
	};

#endif
