
#ifndef CLASS085_HPP
#define CLASS085_HPP
class Patient_service_event
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_event" */
	/*design part Clinical_observation class Clinical_observation <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design assoc Financial_transaction with Financial_transaction <"is_associated_with (0,M)", "pertains_to (1,1)">
*/
	/*design assoc Patient_pathway with Patient_pathway <"is_required_by (0,M)", "requires (0,M)">
*/
	/*design assoc Patient_service_location with Patient_service_location <"is_performed_at (1,1)", "is_location_for (0,M)">
*/
	/*design assoc Service_event_participant with Service_event_participant <"involves (1,M)", "is_involved_in (1,1)">
*/

	/*design comment 
:/%Description%/The rendering of a Healthcare service to a patient.



ISSUE: Should there be an Observation Service Event specialization Patient Service Event?
*/
public:
private:
	/*design comment attestation_date 
:/%Description%/The date the service provider attests that the patient service was delivered as documented.
*/
	int attestation_date;
	/*design comment attestation_due_date 
:/%Description%/The date attestation is due for this patient service.
*/
	int attestation_due_date;
	/*design comment begin_datetime 
:/%Description%/Date the patient service begins.  
*/
	int begin_datetime;
	/*design comment confidential_indicator 
:/%Description%/indicates whether patient considers this procedure to be confidential.
*/
	int confidential_indicator;
	/*design comment declined_indicator 
:/%Description%/An indication that the patient service was declined.
*/
	int declined_indicator;
	/*design comment description 
:/%Description%/Text that describes the service performed along with relevant details of the service.
*/
	int description;
	/*design comment end_datetime 
:/%Description%/The end date and time for the patient service.
*/
	int end_datetime;
	/*design comment identifier 
:/%Description%/The patient service unique identifier 
*/
	int identifier;
	/*design comment patient_consent_code 
:/%Description%/A code depicting the type of consent that was obtained for permission to treat the patient.
*/
	int patient_consent_code;
	/*design comment recurring_service_code 
:/%Description%/A code indicating a recurring service and the nature of the recursion.
*/
	int recurring_service_code;
	/*design comment scheduled_start_datetime 
:/%Description%/The date the patient service is scheduled to begin.
*/
	int scheduled_start_datetime;
	/*design comment service_event_description 
:/%Description%/A description of the service event.
*/
	int service_event_description;
	};

#endif
