
#ifndef CLASS095_HPP
#define CLASS095_HPP
class Pharmacy_service_dispense_route
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Pharmacy_service_event" */

	/*design comment 
:/%Description%/The route by which a pharmacy treatment medication is dispensed.
*/
public:
private:
	/*design comment administration_device_identifier 
:/%Description%/The identifier for the type of mechanical device used to aid in the administration of the drug.
*/
	int administration_device_identifier;
	/*design comment administration_method_code 
:/%Description%/A code depicting the specific method used for the administration of the drug to the patient.
*/
	int administration_method_code;
	/*design comment dispense_counter_amount 
:/%Description%/A count of the dispenses of medication for this order.
*/
	int dispense_counter_amount;
	/*design comment route_code 
:/%Description%/A code depicting the route by which the medication was administered.
*/
	int route_code;
	/*design comment site_code 
:/%Description%/A code depicting the site in which the medication was administered.
*/
	int site_code;
	};

#endif
