
#ifndef CLASS097_HPP
#define CLASS097_HPP
class Pharmacy_service_give
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Pharmacy_service_event" */
	/*design part Pharmacy_service_give_item class Pharmacy_service_give_item <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design part Pharmacy_service_give_route class Pharmacy_service_give_route <"has_parts (0,M)", "is_part_of (1,1)">
*/

	/*design comment 
:/%Description%/The issuing of a pharmacy or treatment give notice.
*/
public:
private:
	/*design comment adminstration_description 
:/%Description%/Free form text.
*/
	int adminstration_description;
	/*design comment description 
:/%Description%/Description of the medication give.
*/
	int description;
	/*design comment dispense_to_location_identifier 
:/%Description%/The location where the dispensement occurs.
*/
	int dispense_to_location_identifier;
	/*design comment give_counter_amount 
:/%Description%/A count of the number of administrations of the drug.
*/
	int give_counter_amount;
	/*design comment give_dosage_form_code 
:/%Description%/The dosage form of the medication dispensed.
*/
	int give_dosage_form_code;
	/*design comment give_per_time_unit_amount 
:/%Description%/The time unit used to calculate the rate at which the pharmceutical is to be administered.
*/
	int give_per_time_unit_amount;
	/*design comment give_rate_amount 
:/%Description%/The amount (number) of substance to be administered.
*/
	int give_rate_amount;
	/*design comment max_give_amount 
:/%Description%/The maximum ordered amount.
*/
	int max_give_amount;
	/*design comment min_give_amount 
:/%Description%/The minimum order amount.
*/
	int min_give_amount;
	/*design comment needs_human_review_indicator 
:/%Description%/An indication that the pharmacist filling the order needs to pay special attention to the order notes.
*/
	int needs_human_review_indicator;
	/*design comment quantity_timing_code 
:/%Description%/A code indicating how many services to perform at one service time and how often the service times are repeated, and to fix duration of the request.
*/
	int quantity_timing_code;
	/*design comment substitution_status_code 
:/%Description%/Identifies is a substitution has been made and if so in what way.
*/
	int substitution_status_code;
	};

#endif
