
#ifndef CLASS006_HPP
#define CLASS006_HPP
class Ag_code
	{
	/*design in subject "Attribute_groups" */

	/*design comment 
:/%Description%/An attribute group for coded attributes.  The contents of this attribute group is strongly influenced by the contents of the CE, ID, IS, and CF datatypes within the HL7 2.3 standard.
*/
public:
private:
	/*design comment assigned_code_text 
:/%Description%/The code assigned to the coded concept.  The combination of coding system name and assigned code text uniquely identifies the item being represented
*/
	int assigned_code_text;
	/*design comment coded_value_name 
:/%Description%/The name of the coded concept.
*/
	int coded_value_name;
	/*design comment coding_system_identifier 
:/%Description%/The name of the coding system used.
*/
	int coding_system_identifier;
	};

#endif
