
#ifndef CLASS011_HPP
#define CLASS011_HPP
class Ag_phone
	{
	/*design in subject "Attribute_groups" */

	/*design comment 
:/%Description%/An attribute group for phone numbers.  Based upon the HL7 TN and XTN datatypes.
*/
public:
private:
	/*design comment area_code 
:/%Description%/Code for a specific calling area including country and calling area within a country.
*/
	int area_code;
	/*design comment beeper_code_text 
:/%Description%/Extension to the phone number for access to beeper.
*/
	int beeper_code_text;
	/*design comment comment_text 
:/%Description%/Comments about the telephone number.
*/
	int comment_text;
	/*design comment country_code 
:/%Description%/A code identifying the country the phone number is within.
*/
	int country_code;
	/*design comment device_type_code 
:/%Description%/Code for a data or voice device used to transmit information, carry a verbal conversation or exchange information between individuals (phone, fax, modem, cellular phone, beeper).
*/
	int device_type_code;
	/*design comment effective_date 
:/%Description%/The date the phone becomes effective.
*/
	int effective_date;
	/*design comment extension_number_text 
:/%Description%/Number that identifies a continuation or addition to the telephone number.
*/
	int extension_number_text;
	/*design comment telephone_number_text 
:/%Description%/Number used to communicate by telephone with a person or organization.
*/
	int telephone_number_text;
	/*design comment termination_date 
:/%Description%/The date the phone is nolonger in effect.
*/
	int termination_date;
	/*design comment use_type_code 
:/%Description%/A code indicating the use type of the phone (primary residence, other residence, work, vacation home, answering service, emergency, beeper).
*/
	int use_type_code;
	};

#endif
