
#ifndef CLASS047_HPP
#define CLASS047_HPP
class Healthcare_service_provider
	{
	/*design in subject "Healthcare_service_provider" */
	/*design in subject "Healthcare_stakeholders" */
	/*design assoc Clinical_observation_provider with Clinical_observation_provider <"participates_as (0,M)", "has_as_participant (1,1)">
*/
	/*design assoc Service_event_participant with Service_event_participant <"is_involved_as (0,M)", "involves (1,1)">
*/

	/*design comment 
:/%Description%/An organization or person responsible for the provision of healthcare services to an individual, or involved in the provision of healthcare related services.
*/
public:
private:
	/*design comment board_certification_type_code 
:/%Description%/The type of board certification held by the healthcare provider.
*/
	int board_certification_type_code;
	/*design comment board_certified_indicator 
:/%Description%/An indication that the healthcare provider is board certified.
*/
	int board_certified_indicator;
	/*design comment certification_date 
:/%Description%/The date of certification.
*/
	int certification_date;
	/*design comment effective_date 
:/%Description%/The date the stakeholder assumes the role of healthcare service provider.
*/
	int effective_date;
	/*design comment license_identifier 
:/%Description%/The unique identifier assigned to the healthcare service providers license.
*/
	int license_identifier;
	/*design comment recertification_date 
:/%Description%/The date recertification is required.
*/
	int recertification_date;
	/*design comment specialty_code 
:/%Description%/A code depicting the particular subject area or branch of medical science, as practiced by a Healthcare practitioner.
*/
	int specialty_code;
	/*design comment termination_date 
:/%Description%/The date the stakeholder is nolonger in the role of healthcare service provider.
*/
	int termination_date;
	};

#endif
