
#ifndef CLASS072_HPP
#define CLASS072_HPP
#include "Class070.hpp"
class Patient_condition: public Patient_clinical_item
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Patient" */
	/*design assoc Episode with Episode <"defines (0,M)", "is_defined_by (0,1)">
*/

	/*design comment 
:/%Description%/A condition of a patient that has medical significants.
*/
public:
private:
	/*design comment category_type_code 
:/%Description%/A code indicating the general allergy category (drug, food, pollen, etc.)
*/
	int category_type_code;
	/*design comment condition_code 
:/%Description%/An identification code for the patient condition.
*/
	int condition_code;
	/*design comment condition_descriptive_text 
:/%Description%/Free form textual description of a patient medical condition.
*/
	int condition_descriptive_text;
	/*design comment employment_related_indicator 
:/%Description%/An indication that the patient condition is employment related.
*/
	int employment_related_indicator;
	/*design comment risk_management_report_date 
:/%Description%/The date the patient condition was reported to risk management.
*/
	int risk_management_report_date;
	/*design comment severity_level_code 
:/%Description%/A code indicating the general severity of the patient condition (severe, moderate, mild, etc.)
*/
	int severity_level_code;
	/*design comment treatment_plan_text 
:/%Description%/Free form text describing the treatment plan for the patient condition.
*/
	int treatment_plan_text;
	};

#endif
