
#ifndef CLASS075_HPP
#define CLASS075_HPP
#include "Class070.hpp"
class Patient_diagnosis: public Patient_clinical_item
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Patient" */

	/*design comment 
:/%Description%/The decision reached from the process of determining by examination the nature and circumstances of a diseased condition.
*/
public:
private:
	/*design comment attestation_datetime 
:/%Description%/The date and time the diagnosis physician attests to the validity of the diagnosis.
*/
	int attestation_datetime;
	/*design comment classification_type 
:/%Description%/A primary classification of diagnosis.
*/
	int classification_type;
	/*design comment confidential_indicator 
:/%Description%/An indication that the diagnosis is confidential.
*/
	int confidential_indicator;
	/*design comment description 
:/%Description%/Free form description of the diagnosis.
*/
	int description;
	/*design comment determination_datetime 
:/%Description%/Date and time the diagnosis was determined.
*/
	int determination_datetime;
	/*design comment diagnosis_code 
:/%Description%/A uniqued identifier designating the diagnosis.
*/
	int diagnosis_code;
	/*design comment diagnosis_onset_date_time 
:/%Description%/The date the decease indicated in the diagnosis became present in the patient.
*/
	int diagnosis_onset_date_time;
	/*design comment diagnosis_phase_code 
:/%Description%/The diagnositic phase code.
*/
	int diagnosis_phase_code;
	/*design comment identification_code 
:/%Description%/The diagnosis identification code.
*/
	int identification_code;
	/*design comment relative_priority_number 
:/%Description%/The relative priority of the diagnosis.
*/
	int relative_priority_number;
	/*design comment rule_out_datetime 
:/%Description%/The data and time the diagnosis was ruled out.
*/
	int rule_out_datetime;
	/*design comment ruled_out_reason_text 
:/%Description%/The reason the diagnosis was ruled out.
*/
	int ruled_out_reason_text;
	/*design comment severity_code 
:/%Description%/A code depicting the severity of the diagnosis.
*/
	int severity_code;
	/*design comment type_code 
:/%Description%/A classification type of diagnosis (admitting, working, discharge, ...).
*/
	int type_code;
	};

#endif
