
#ifndef CLASS092_HPP
#define CLASS092_HPP
class Pharmacy_service_administration
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Pharmacy_service_event" */
	/*design assoc Pharmacy_service_give with Pharmacy_service_give <"references (1,1)", "is_referenced_on (0,M)">
*/

	/*design comment 
:/%Description%/Notice of the administration of medication as part of a pharmacy treatment.
*/
public:
private:
	/*design comment administered_amount 
:/%Description%/The amount of drug administered
*/
	int administered_amount;
	/*design comment administration_description 
:/%Description%/Free text notes from the provider administering the medication.
*/
	int administration_description;
	/*design comment administration_device_code 
:/%Description%/The device used to administer the medication.
*/
	int administration_device_code;
	/*design comment administration_method_code 
:/%Description%/The method used to administer the medication.
*/
	int administration_method_code;
	/*design comment administration_quantity 
:/%Description%/A count of the number of times the medication is administered.
*/
	int administration_quantity;
	/*design comment administration_route_code 
:/%Description%/The route through which the medication was administered.
*/
	int administration_route_code;
	/*design comment administration_site_code 
:/%Description%/The site in which the medication was administered.
*/
	int administration_site_code;
	/*design comment dispensing_interval_code 
:/%Description%/A code depicting the dispensing interval for the intravenous therapy patient service.
*/
	int dispensing_interval_code;
	/*design comment dosage_form_code 
:/%Description%/The administered dosage form.
*/
	int dosage_form_code;
	/*design comment drip_rate_amount 
:/%Description%/The drip rate of the intravenous therapy.
*/
	int drip_rate_amount;
	/*design comment medication_identifier 
:/%Description%/A unique identifier of the medication administered.
*/
	int medication_identifier;
	/*design comment medication_name 
:/%Description%/The name of the administered medication.
*/
	int medication_name;
	/*design comment per_time_unit_code 
:/%Description%/The rate at which this medication was administered.
*/
	int per_time_unit_code;
	/*design comment substitution_code 
:/%Description%/A code indicating the medication was a substitution for the one ordered.
*/
	int substitution_code;
	};

#endif
