
#ifndef CLASS014_HPP
#define CLASS014_HPP
#include "Class069.hpp"
class Bad_debt_billing_account: public Patient_billing_account
	{
	/*design in subject "Healthcare_finances" */
	/*design in subject "Patient_billing_account" */
	/*design assoc Bad_debt_collection_agency with Bad_debt_collection_agency <"is_assigned_to (1,1)", "is_assigned (0,M)">
*/

	/*design comment 
:/%Description%/A billing account that has been turned over for bad debt collection.
*/
public:
private:
	/*design comment bad_debt_recovery_amount 
:/%Description%/The amount recovered on a bad debt patient account.
*/
	int bad_debt_recovery_amount;
	/*design comment bad_debt_transfer_amount 
:/%Description%/The amount of the patient billing account that was turned over to bad debt for collection.
*/
	int bad_debt_transfer_amount;
	/*design comment transfer_to_bad_debt_date 
:/%Description%/The date the patient billing account was transferred to bad debt status.
*/
	int transfer_to_bad_debt_date;
	/*design comment transfer_to_bad_debt_reason_code 
:/%Description%/A code depicting the reason the patient billing account was transferred to bad debts.
*/
	int transfer_to_bad_debt_reason_code;
	};

#endif
