
#ifndef CLASS065_HPP
#define CLASS065_HPP
class Patient_admission
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */

	/*design comment 
:/%Description%/The begining of an inpatient encounter.
*/
public:
private:
	/*design comment admission_datetime 
:/%Description%/The date and time of the patient was admitted into an inpatient facility.
*/
	int admission_datetime;
	/*design comment admission_reason_code 
:/%Description%/A code depicting the reason for the inpatient admission.
*/
	int admission_reason_code;
	/*design comment admission_referral_code 
:/%Description%/A code depicting the type of referral associated with this inpatient admission.
*/
	int admission_referral_code;
	/*design comment admission_source_code 
:/%Description%/A code indicating the source category associated with this inpatient encounter.
*/
	int admission_source_code;
	/*design comment admission_type_code 
:/%Description%/A code indicating the circumstance under which the patient was or will be admitted.
*/
	int admission_type_code;
	/*design comment patient_valuables_description 
:/%Description%/Text descibing the patient valuables left for safe keeping.
*/
	int patient_valuables_description;
	/*design comment pre_admit_test_indicator 
:/%Description%/An indication that pre-admission tests are required for this inpatient encounter.
*/
	int pre_admit_test_indicator;
	/*design comment readmission_indicator 
:/%Description%/An indication that the inpatient encounter is a readmission.
*/
	int readmission_indicator;
	/*design comment valuables_location_description 
:/%Description%/Decriptive text identifying where valuables of  patient is located.
*/
	int valuables_location_description;
	};

#endif
