
#ifndef CLASS090_HPP
#define CLASS090_HPP
class Person_birth_event
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */
	/*design assoc Person with Person <"pertains_to (1,1)", "has (0,1)">
*/

	/*design comment 
:/%Description%/The act or process of bearing or bringing forth offspring.
*/
public:
private:
	/*design comment baby_detained_indicator 
:/%Description%/An indication that the baby in a person birth event is detained after the mother's discharge.
*/
	int baby_detained_indicator;
	/*design comment birth_certificate_identifier 
:/%Description%/A unique identfier assigned to a person's birth certificate.
*/
	int birth_certificate_identifier;
	/*design comment birth_city_name 
:/%Description%/The name of the city the birth took place in.
*/
	int birth_city_name;
	/*design comment birth_country_code 
:/%Description%/A code depicting the country the person birth occurred in.
*/
	int birth_country_code;
	/*design comment birth_method_code 
:/%Description%/A code depicting the method of birth {cesarian, vaginal, forceps, ...}
*/
	int birth_method_code;
	/*design comment birth_order_number 
:/%Description%/The ordinal position the person is born in in a multiple birth birth event.
*/
	int birth_order_number;
	/*design comment birth_recorded_county_code 
:/%Description%/The county in which the person's birth record is recorded.
*/
	int birth_recorded_county_code;
	/*design comment birth_recorded_date 
:/%Description%/The date the birth event was recorded.
*/
	int birth_recorded_date;
	/*design comment birth_state_code 
:/%Description%/The state or province in which the birth event took place.
*/
	int birth_state_code;
	/*design comment delivery_date 
:/%Description%/The delivery date of the birth event.
*/
	int delivery_date;
	/*design comment multiple_birth_indicator 
:/%Description%/An indication that the person birth was a multiple birth event.
*/
	int multiple_birth_indicator;
	/*design comment newborn_days_quantity 
:/%Description%/The number of days in a patient encounter in which there is a person birth event that is allocated to the newborn.
*/
	int newborn_days_quantity;
	/*design comment stillborn_indicator 
:/%Description%/An indiction that the baby in the birth event was stillborn.
*/
	int stillborn_indicator;
	};

#endif
