
#ifndef CLASS103_HPP
#define CLASS103_HPP
class Preauthorization
	{
	/*design in subject "Patient_encounter" */
	/*design in subject "Patient_encounters" */

	/*design comment 
:/%Description%/An authorization for patient services by a third party prior to the delivery of the patient service.
*/
public:
private:
	/*design comment authorized_encounters_amount 
:/%Description%/The number of authorized encounters.
*/
	int authorized_encounters_amount;
	/*design comment authorized_period_begin_date 
:/%Description%/The date the authorized period begins.
*/
	int authorized_period_begin_date;
	/*design comment authorized_period_end_date 
:/%Description%/The end date of the authorized period.
*/
	int authorized_period_end_date;
	/*design comment identifier 
:/%Description%/A unique identifier assigned to the pre authorization.
*/
	int identifier;
	/*design comment issued_datetime 
:/%Description%/The date and time the pre authorization is issued.
*/
	int issued_datetime;
	/*design comment requested_datetime 
:/%Description%/The date and time the preauthorization was created.
*/
	int requested_datetime;
	/*design comment restriction_description 
:/%Description%/A decription of restrictions associated with the preauthorization.
*/
	int restriction_description;
	/*design comment status_change_datetime 
:/%Description%/The date and time of the last status change.
*/
	int status_change_datetime;
	/*design comment status_code 
:/%Description%/A code depicting the status of a preauthorization.
*/
	int status_code;
	};

#endif
