
#ifndef CLASS084_HPP
#define CLASS084_HPP
#include "Class087.hpp"
class Patient_referral: public Patient_service_order
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_order" */

	/*design comment 
:/%Description%/An introduction of a patient from one caregiver to another caregiver or provider institution.  The referral may authorize the patient to receive Healthcare services.  A referral may authorize a specified quantity of a particular kind or level of service.  A referral may also simply be a recommendation or introduction.
*/
public:
private:
	/*design comment authorized_visits_quantity 
:/%Description%/The number of authorized referral visits.
*/
	int authorized_visits_quantity;
	/*design comment description 
:/%Description%/Free from text describing the referral.
*/
	int description;
	/*design comment reason_text 
:/%Description%/Free form text providing the reason for the referral.
*/
	int reason_text;
	};

#endif
