
#ifndef CLASS017_HPP
#define CLASS017_HPP
class Blood_product_usage
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_event" */
	/*design assoc Procedure with Procedure <"is_involved_in (1,1)", "includes_administration_of (0,M)">
*/

	/*design comment 
:/%Description%/The utilization of blood by a patient.
*/
public:
private:
	/*design comment blood_component_type_code 
:/%Description%/The type of blood component.
*/
	int blood_component_type_code;
	/*design comment blood_usage_type_code 
:/%Description%/The blood usage type.
*/
	int blood_usage_type_code;
	/*design comment crossmatched_blood_unit_quantity 
:/%Description%/The amount of cross matched blood units.
*/
	int crossmatched_blood_unit_quantity;
	/*design comment identifier 
:/%Description%/A unique identifier of the blood usage.
*/
	int identifier;
	/*design comment transfused_blood_unit_quantity 
:/%Description%/The number of units of blood used in a transfusion.
*/
	int transfused_blood_unit_quantity;
	};

#endif
