
#ifndef CLASS106_HPP
#define CLASS106_HPP
#include "Class085.hpp"
class Procedure: public Patient_service_event
	{
	/*design in subject "Patient_encounters" */
	/*design in subject "Patient_service_event" */

	/*design comment 
:/%Description%/A therapeutic or diagnostic intervention employed in response to a patient condition.
*/
public:
private:
	/*design comment anaesthesia_code 
:/%Description%/A code identifying the anaesthesia used in a procedure.
*/
	int anaesthesia_code;
	/*design comment anesthesia_minutes_count 
:/%Description%/A count of the anesthesia minutes involved in the procedure.
*/
	int anesthesia_minutes_count;
	/*design comment delay_reason_text 
:/%Description%/The reason for delay of the surgery patient service.
*/
	int delay_reason_text;
	/*design comment description 
:/%Description%/A decription of the procedure.
*/
	int description;
	/*design comment findings_text 
:/%Description%/The findings of a surgery patient service.
*/
	int findings_text;
	/*design comment incision_closed_datetime 
:/%Description%/The data and time of the closing incision of the surgery patient service.
*/
	int incision_closed_datetime;
	/*design comment incision_open_datetime 
:/%Description%/The data and time of the opening incision of the surgery patient service.
*/
	int incision_open_datetime;
	/*design comment priority_ranking_code 
:/%Description%/A code indicating the relative priority of the procedure to all other procedures provided in this encounter.
*/
	int priority_ranking_code;
	/*design comment procedure_code 
:/%Description%/A code used to identify a procedure.
*/
	int procedure_code;
	/*design comment procedure_datetime 
:/%Description%/The date/time of the procedure.
*/
	int procedure_datetime;
	/*design comment procedure_functional_type_code 
:/%Description%/A code identifying the functional type of the procedure.
*/
	int procedure_functional_type_code;
	};

#endif
