
#ifndef CLASS117_HPP
#define CLASS117_HPP
class Stakeholder_identifier
	{
	/*design in subject "Healthcare_stakeholders" */
	/*design in subject "Stakeholder" */
	/*design assoc Stakeholder with Stakeholder <"is_assigned_to (1,1)", "is_assigned (0,M)">
*/

	/*design comment 
:/%Description%/A unique identifier assigned to a person or organization.
*/
public:
private:
	/*design comment effective_date 
:/%Description%/The effective date of the identifier.
*/
	int effective_date;
	/*design comment identification_text 
:/%Description%/A unique identifier assigned to a stakeholder.
*/
	int identification_text;
	/*design comment identifier_check_digit_text 
:/%Description%/A check digit assigned to the identifier base upon the identification text and the check digit scheme.
*/
	int identifier_check_digit_text;
	/*design comment identifier_check_digit_type_code 
:/%Description%/A code identifying the check digit scheme used for the identifier check digit.
*/
	int identifier_check_digit_type_code;
	/*design comment identifier_type_code 
:/%Description%/A code identifying the type of identifier.
*/
	int identifier_type_code;
	/*design comment issued_date 
:/%Description%/Date the identifier is issued.
*/
	int issued_date;
	/*design comment termination_date 
:/%Description%/The date the identification is no longer in effect.
*/
	int termination_date;
	};

#endif
