
#ifndef ZZZMODEL_HPP
#define ZZZMODEL_HPP

class ZzzModel
	{
	/*design abstract */
	/*design comment 
:/%Model%/HL7 DRAFT Reference Model V0-7
/%VersionDate%/V 0-07 19961217
/%ModelID%/HL7_RIM_0070
/%Organization%/Health Level Seven
/%Developer%/Methodology & Modeling Committee
/%Description%/The draft HL7 Reference Information Model is a seed model for the domain information models used and updated by the HL7 technical committees as they identify and define the data content of the messages they create.  The model was created by blending the concepts in information models submitted by HL7 member companies, technical committees, and others.

The attached file is the HL7 DRAFT RIM V0.7.  

It is nearly final except for a few remaining issues noted in the model.  On January 6, 1997, HL7 DRAFT RIM V0.8 will be the final posting of the draft RIM.  That model will include resolution for some of these issues as well as cross references to the submitted HL7 Technical Committee data models and the HL7 V2.3 standard segments and fields.

Comments and questions regarding the draft Reference Information Model should be addressed to the RIM modeling project team leader: 

     Abdul-Malik Shakir 
     Kaiser Permanente Medical Care Program
     One Kaiser Plaza
     Oakland, CA 94612

     74353.1431@Compuserve.com.

The RIM modeling team is especially interested in receiving comments on inconsistencies which are perceived between the RIM and submitted models, technical committee models, and version 2.3 of the HL7 standard.  Additionally any comments concerning the correctness, consistency, clarity and usefulness of the various model expressions would also be appreciated.  

Comments must be received by December 30th to be included in the final posting on January 6, 1997.
*/
public:
private:
	int HL7_RIM_0070;
	int Stakeholder;
	};

#endif
